# -*- encoding: utf-8 -*-
# stub: sensu-plugin-app-insights 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugin-app-insights".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "ve-interactive", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ve Interactive and contributors".freeze]
  s.date = "2017-04-12"
  s.description = "this plugin provides a easy way to query app insights\n                              and alert based on the return of this metrics.".freeze
  s.email = "<gnepomuceo@veinteractive.com>".freeze
  s.executables = ["query-check.rb".freeze]
  s.files = ["bin/query-check.rb".freeze]
  s.homepage = "https://github.com/ve-interactive/sensu-plugin-app-insights".freeze
  s.licenses = ["APSL-2.0".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for various http monitors and metrics".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 1.8"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<kitchen-vagrant>.freeze, ["~> 0.19"])
    s.add_development_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_development_dependency(%q<json>.freeze, ["< 2.0.0"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 1.2"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 1.8"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.6"])
    s.add_dependency(%q<kitchen-vagrant>.freeze, ["~> 0.19"])
    s.add_dependency(%q<kitchen-localhost>.freeze, ["~> 0.3"])
    s.add_dependency(%q<json>.freeze, ["< 2.0.0"])
  end
end
